%global shortname crypto-util

Name:           jenkins-crypto-util
Version:        1.4
Release:        4%{?dist}
Summary:        Jenkins crypto-util library

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-crypto-util
Source0:        https://github.com/jenkinsci/lib-%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt
# PKIXTest uses real certificates for testing, which comes with expiration dates
Patch0:         new-certs.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
This package provides utility wrapper around Java Crypto API.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package provides the API documentation for %{name}.


%prep
%setup -q -n lib-%{shortname}-%{shortname}-%{version}

%patch0 -p1

cp %{SOURCE1} LICENSE

# Nothing really useful in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Jun 18 2015 Michal Srb <msrb@redhat.com> - 1.4-4
- Fix FTBFS

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 21 2014 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Wed Feb 26 2014 Michal Srb <msrb@redhat.com> - 1.3-1
- Update to upstream version 1.3
- Enable tests

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Michal Srb <msrb@redhat.com> - 1.1-1
- Initial package

